com.microfocus.awm.localsystem

## Class LocalTaurusSystem

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.core.AbstractTaurusSystem
      - - com.microfocus.awm.core.ConfiguredTaurusSystem
        - - com.microfocus.awm.localsystem.LocalTaurusSystem

- All Implemented Interfaces:
    IRemoteSystemAssociation, IResource, ITaurusSystem, org.eclipse.core.runtime.IAdaptable
  Direct Known Subclasses:
    DefaultConfigurationSystem

      public class LocalTaurusSystem
      extends ConfiguredTaurusSystem
      implements IRemoteSystemAssociation

  Class for a local TAURUS system. Can contain a reference to a remote system.
  Author:
    Ralf Pakosch
  See Also:
    `setRemoteSystemImage(ISystemImage)`, `Copyright (C) Micro Focus 2014. All rights reserved.`

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

    - ### Fields inherited from interface com.microfocus.awm.model.ITaurusSystem

      `ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTaurusSystem(TaurusSystemPersistableProxy pSystemProxy)` Creates a new local AWM system from a persistable proxy, which is usually created by parsing a master configuration file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISystemImage` | `getLocalSystemImage()` Gets the local system image of this system-
    `java.lang.String` | `getProviderID()` Gets the ID of the `ISystemProvider` for the AWM system.
    `ISystemImage` | `getRemoteSystemImage()` Returns the associated remote system image (if there is one) or `null`.
    `void` | `refresh(org.eclipse.core.runtime.IProgressMonitor pMonitor)` Refreshes the system and all its applications.
    `void` | `setRemoteSystemImage(ISystemImage pRemoteSystem)` Associates a remote system image and notifies observers.

    - ### Methods inherited from class com.microfocus.awm.core.ConfiguredTaurusSystem

      `getApplications`

    - ### Methods inherited from class com.microfocus.awm.core.AbstractTaurusSystem

      `delete, equals, getCustomAttribute, getCustomAttributes, getSystemImage, hashCode`

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### LocalTaurusSystem

          public LocalTaurusSystem(TaurusSystemPersistableProxy pSystemProxy)
                            throws TaurusCoreException

      Creates a new local AWM system from a persistable proxy, which is usually created by parsing a master configuration file.
      Parameters:
        `pSystemProxy` - the persistable AWM system proxy
      Throws:
        `TaurusCoreException` - if creating the system fails

  - ### Method Detail

    - #### getLocalSystemImage

          public ISystemImage getLocalSystemImage()

      Gets the local system image of this system-
      Returns:
        the local system image

    - #### getRemoteSystemImage

          public ISystemImage getRemoteSystemImage()

      Returns the associated remote system image (if there is one) or `null`.
      Specified by:
        `getRemoteSystemImage` in interface `IRemoteSystemAssociation`
      Returns:
        the associated remote system image or `null`
      See Also:
        `setRemoteSystemImage(ISystemImage)`

    - #### setRemoteSystemImage

          public void setRemoteSystemImage(ISystemImage pRemoteSystem)

      Associates a remote system image and notifies observers. If the association should be removed, `null` must be given.
      Specified by:
        `setRemoteSystemImage` in interface `IRemoteSystemAssociation`
      Parameters:
        `pRemoteSystem` - the remote system image to be associated or `null` to remove the current one.
      See Also:
        `getRemoteSystemImage()`

    - #### getProviderID

          public java.lang.String getProviderID()

      Description copied from interface: `ITaurusSystem`
      Gets the ID of the `ISystemProvider` for the AWM system. Can return `null` if the system does not have a system provider.
      Specified by:
        `getProviderID` in interface `ITaurusSystem`
      Returns:
        the ID of the system provider or `null`
      See Also:
        `TaurusExtensionPointUtility.getTaurusSystemProviders()`

    - #### refresh

          public void refresh(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                       throws TaurusCoreException

      Description copied from interface: `ITaurusSystem`
      Refreshes the system and all its applications. This has the same effect as removing the system and adding it again, except existing object instances will not be replaced.
      Specified by:
        `refresh` in interface `ITaurusSystem`
      Parameters:
        `pMonitor` - a progress monitor
      Throws:
        `TaurusCoreException` - if refreshing the system fails for any reason

Copyright © 2015 Micro Focus GmbH. All rights reserved.